
Core - Task # 55676

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 55516 (Resolved): Reduce the number of backend script entry points

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category:
Created: 2014-02-04 Assigned To: Anja Leichsenring
Updated: 2014-02-28 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: t3editor wizard inclusion cleanup
Description

there is a require_once on init.php still there, and the wizard inclusion does not use BackendUtility::addModuleUrl()

Associated revisions
Revision 1fd62fa0 - 2014-02-28 20:22 - Alexander Schnitzler 

[TASK] Remove superflous require_once in t3editor hook

\TYPO3\CMS\T3editor\Hook\FileEditHook::save() requires
init.php which is not necessary at all as the method
itself is only called through ajax.php, which requires
init.php itself anyway.

Resolves: #55676
Releases: 6.2
Change-Id: Iaaf0805b73ebbb97e6689bcaa8064dc350187e66
Reviewed-on: https://review.typo3.org/27848
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Oliver Klee
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2014-02-25 18:06 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27848

#2 - 2014-02-28 18:38 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

2015-08-04 1/2

https://review.typo3.org/27848
https://review.typo3.org/27848


It is available at https://review.typo3.org/27848

#3 - 2014-02-28 20:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1fd62fa0c67a041cb32b591d35a244c0658a46da.
